.home-locations-section {
  padding: 0;
  overflow: hidden;
  background: #fff;
  padding-top: 110px;
  padding-bottom: 110px;
}

.locations-container {
  display: flex;
  width: 100%;
  min-height: 550px;
  gap: 34px;
}

.location-card {
  position: relative;
  flex: 1;
  overflow: hidden;
  transition: flex 0.6s cubic-bezier(0.4, 0, 0.2, 1);
  /* cursor: pointer; */
}

.location-card:hover {
  flex: 1.5;
}

.location-image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
}

.location-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: transform 0.6s ease;
}

.location-card:hover .location-image img {
  transform: scale(1.05);
}

.location-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(to bottom, rgba(0, 0, 0, 0.3) 0%, rgba(0, 0, 0, 0.6) 100%);
  z-index: 2;
  transition: background 0.5s ease;
}

.location-card:hover .location-overlay {
  background: rgba(67, 97, 238, 0.85);
}

.location-content {
  position: absolute;
  bottom: 0px;
  left: 22px;
  z-index: 3;
  color: #ffffff;
  max-width: 380px;
}

.location-card:nth-child(2) .location-content {
  max-width: 355px;
}

.location-title {
  font-size: 54px;
  font-weight: 700;
  line-height: 55px;
  margin: 0;
  margin-bottom: 22px;
  font-family: "playfair display", serif;
  color: #ffffff;
  transition: all 0.3s ease;
}

.location-card:hover .location-title {
  transform: translateY(-10px);
}

.location-btn {
  display: flex;
  max-width: 235px;
  width: 100%;
  height: 59px;
  justify-content: center;
  align-items: center;
  padding: 0;
  background: #ffffff;
  color: #2F54EB;
  text-decoration: none;
  font-size: 16px;
  line-height: 21px;
  font-weight: 600;
  text-transform: uppercase;
  letter-spacing: 0.5px;
  border-radius: 2px;
  transition: all 0.3s ease;
  transform: translateY(20px);
  display: none;
  margin-bottom: 22px;
  margin-top: 40px;
  cursor: pointer;
}

.location-card:hover .location-btn {
  display: flex;
  transform: translateY(0);
}

.location-btn:hover {
  opacity: 0.8;
}

.home-locations-section.bg_dark {
  background-color: #000014 !important;
}

.home-locations-section.bg_dark .home-location-heading-wrap h2 {
  color: #FFFFFF !important;
}.home-locations-section.bg_dark .home-location-subheading {
  color: #FFFFFF !important;
}

.home-location-heading-wrap h2 {
  font-family: "playfair display", serif;
  font-weight: 700;
  font-style: Bold;
  font-size: 54px;
  line-height: 55.6px;
  text-align: center;
  margin-bottom: 8px;
  margin-top: 0px;
  padding: 0px;

}

.home-location-subheading {
  font-family: "poppins", sans-serif;
  font-weight: 300;
  font-style: Light;
  font-size: 18px;
  line-height: 25.2px;
  letter-spacing: 0%;
  text-align: center;
  margin: 0px;
  padding: 0px;
  margin-bottom: 60px;

}

@media (max-width: 991.98px) {
  .location-card:hover .location-overlay {
    background: linear-gradient(to bottom, rgba(0, 0, 0, 0.3) 0%, rgba(0, 0, 0, 0.6) 100%);
  }

  /* .location-card .location-overlay {
    background: rgb(0 12 58 / 20%);
  } */

  .location-title {
    font-size: 34px;
    line-height: 38px;
  }

  .location-content {
    max-width: 69%;
  }

  .location-card:nth-child(2) .location-content {
    max-width: 64%;
  }

  .locations-container {
    display: flex;
    width: 100%;
    min-height: 400px;
    gap: 24px;
  }

  .location-btn {
    cursor: pointer;
    margin-top: 20px;
  }

  .home-locations-section {
    padding-top: 80px;
    padding-bottom: 80px;
  }
}

@media (max-width: 767.98px) {
  .home-location-heading-wrap h2 {
    font-size: 35px;
    line-height: 36.6px;

  }

  .home-location-subheading {
    font-size: 18px;
    line-height: 25.2px;
    margin-bottom: 40px;

  }

  .locations-container {
    flex-direction: column;
    min-height: auto;
  }

  .location-card {
    min-height: 400px;
    flex: 1 !important;
  }

  .location-card:hover {
    flex: 1 !important;
  }



  .location-title {
    font-size: 35px;
    line-height: 36px;
    margin-bottom: 12px;
  }

  .location-btn {
    opacity: 1;
    display: flex;
    transform: translateY(0);
  }

  .home-locations-section {
    padding-top: 50px;
    padding-bottom: 50px;
  }

  .locations-container {
    gap: 32px;
  }

  .location-card {
    min-height: 400px;
  }

  .location-content {
    bottom: 0px;
    left: 16px;
  }

  .location-btn {
    margin-top: 16px;
    margin-bottom: 16px;
    max-width: 194px;
    font-size: 14px;
    line-height: 14px;
    height: 50px;
  }

  .location-content {
    max-width: 245px;
  }

  .location-card:nth-child(2) .location-content {
    max-width: 230px;
  }

  .location-card:hover .location-title {
    transform: translateY(0px);
  }

}